:root {
    --follow-us-padding: 90px 0 120px;
    --share-icon-size: 145px;
    --grid-columns: 5;
    --grid-gap: 50px;
    --font-size-32: 32px;
}

.follow-us {
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center top;
    padding: var(--follow-us-padding) !important;
    text-align: center;
    color: #fff;
    font-size: var(--font-size-32);
    background: linear-gradient(180deg, #0d0e13, #1d1850);
}

.follow-us .brand {
    background: transparent;
}

.follow-frame {
    max-width: 1200px;
    padding: 0 12px;
    overflow: hidden;
    margin: 0 auto;
}

.follow-frame h1 {
    font-size: var(--font-size-32);
    padding-bottom: 40px;
}

.follow-frame .share-flex {
    display: grid;
    grid-template-columns: repeat(var(--grid-columns), 1fr);
    gap: var(--grid-gap);
    justify-content: center;
}

.follow-frame .share-flex {
    margin-bottom: 90px;
}

.follow-frame .share-button {
    display: block;
    transition: all 0.2s;
}

.follow-frame .share-button img {
    width: var(--share-icon-size);
    height: var(--share-icon-size);
}

.follow-frame .share-button:hover {
    transform: translateY(-20px) scale(1.009);
}

.follow-frame .customer-service-btn img {
    margin-right: 38px;
}

.follow-frame .customer-service-btn {
    display: flex;
    margin: 40px auto 0;
    align-items: center;
    border-radius: 0.3rem;
    background-color: #ae1900;
    border: none;
    padding: 39px 108px;
    font-size: var(--font-size-32);
    color: #fff;
    font-weight: 400;
    cursor: pointer;
}

.follow-banner {
    background-image: url(/img/follow-us/category/follow-Us-Page-Banner-dekstop.webp);
    background-size: cover;
    background-color: #0d0115;
    background-position: center;
    background-repeat: no-repeat;
}

.follow-banner img.banner-dekstop {
    opacity: 0;
    vertical-align: bottom;
}

.follow-banner .mobile-row,
.follow-banner img.banner-mobile {
    display: none;
    max-width: 100%;
}

.paragraph-content {
    text-align: left;
    font-size: 0.95rem;
    line-height: 1.5;
}

.paragraph-content p {
    margin-bottom: 0.8rem;
}

.post-category {
    text-align: left;
    padding: 2rem 0 1rem;
}

.post-category h2 {
    font-size: 1.5rem;
    font-weight: 600;
    margin-bottom: 1rem;
    display: flex;
    align-items: center;
}

.post-category h2 img.icon {
    margin-right: 0.5rem;
}

.post-category.fast-follow .row-grid,
.post-category .row-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 1rem;
    justify-content: center;
}

.post-category .row-grid.youtube {
    grid-template-columns: repeat(2, 1fr);
}

.post-category .row-grid.youtube h5 {
    font-size: 1.3rem;
}

.post-category .grid-item {
    background-color: rgba(255, 255, 255, 0.1);
    padding: 0.5rem 0.7rem;
    border-radius: 0.3rem;
    width: auto;
    animation: none;
    transition: all 0.3s;
    margin-bottom: 0 !important;
}

.post-category .grid-item.instagram {
    border-image: linear-gradient(360deg, #f6ac19, #df21cb) 1 1;
}

.post-category .grid-item.reels {
    position: relative;
    border-image: linear-gradient(90deg, #be17ae, #ffc042) 1 1;
}

.post-category .grid-item .play-icon {
    position: absolute;
    left: 50%;
    top: 30%;
    width: 4rem;
    height: 4rem;
    transform: translate(-50%, 0);
    border-radius: 50%;
    border: 1px solid transparent;
    transition: all 0.2s;
}

.post-category .grid-item .paragraph,
.post-category .grid-item a {
    color: #fff;
    display: block;
    font-size: 0.8rem;
    text-decoration: none;
}

.post-category .grid-item p+p {
    margin-top: 0.3rem;
}

.post-category .grid-item:hover {
    background-color: rgba(255, 255, 255, 0.2);
}

.post-category .grid-item:hover .play-icon {
    border-color: rgba(255, 255, 255, 0.5);
    box-shadow: 0 0 0.8rem #fff;
}

.post-category .grid-item img {
    max-width: 100%;
    margin-bottom: 0.5rem;
    border-radius: 0.3rem;
}

.iframe-youtube {
    width: 100%;
    min-height: 240px;
}

.post-category.fast-follow {
    position: relative;
    background: linear-gradient(90deg, #850409 10%, #71070b 80%);
    padding: 0;
}

.post-category.fast-follow::after {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    content: "";
    z-index: 0;
    background-image: url(/img/follow-us/category/Strip-destop.webp);
    background-size: auto 100%;
    background-position: center;
    background-repeat: no-repeat;
}

.post-category.fast-follow .row-grid {
    position: relative;
    z-index: 2;
    grid-template-columns: repeat(5, 1fr);
    gap: 0;
    padding: 0 16%;
    min-height: 4.5rem;
}

.post-category.fast-follow .grid-item {
    opacity: 0;
}

.follow-subtitle {
    font-size: 1.7rem;
    font-weight: 500;
    margin-bottom: 1.9rem;
}

@media (max-width:991px) {
    :root {
        --follow-us-padding: 76.5px 0 102px;
        --share-icon-size: 123px;
        --grid-gap: 35px;
        --font-size-32: 27px;
    }
    .post-category .row-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .post-category.fast-follow .row-grid {
        padding: 0 3%;
    }
}

@media (max-width:767px) {
    :root {
        --follow-us-padding: 45px 0 60px;
        --share-icon-size: 95px;
        --grid-columns: 3;
        --grid-gap: 25px;
        --font-size-32: 22px;
    }
    .follow-subtitle {
        font-size: 1.4rem;
    }
    .follow-frame .share-flex {
        margin-bottom: 45px;
    }
    .follow-dot {
        width: 90px;
    }
    .follow-frame .customer-service-btn img {
        width: 20px;
        margin-right: 18px;
    }
    .follow-frame .customer-service-btn {
        padding: 18px 50px;
    }
    .post-category .row-grid.youtube,
    .post-category .row-grid {
        grid-template-columns: repeat(1, 1fr);
    }
    .follow-banner {
        background-image: none;
    }
    .follow-banner .banner-dekstop,
    .follow-banner img.banner-dekstop {
        display: none;
    }
    .follow-banner .mobile-row,
    .follow-banner img.banner-mobile {
        display: block;
    }
    .post-category.fast-follow::after {
        background-image: url(/img/follow-us/category/Strip-mobile.webp);
        background-size: 100% auto;
    }
    .post-category.fast-follow .row-grid {
        padding: 0 5%;
        min-height: 4rem;
        font-size: 0px !important;
    }
}

@media (max-width:576px) {
    :root {
        --share-icon-size: 65px;
        --grid-gap: 15px;
        --font-size-32: 18px;
    }
}